Summary: CAF: Common Application Framework for quattor perl applications
Name: perl-CAF
Version: 1.5.3
Vendor: EU DataGrid / CERN
Release: 1
License: http://www.eu-datagrid.org/license.html
Group: quattor/System
Source: perl-CAF-1.5.3.src.tgz
BuildArch: noarch
BuildRoot: /var/tmp/%{name}-build
Packager: German Cancio <German.Cancio@cern.ch>
URL: http://quattor.org
Provides: edg-caf-perl
Obsoletes: edg-caf-perl


Requires: perl-LC
Requires: perl-AppConfig
Requires: perl-Proc-ProcessTable

%description
Provides Common Application Framework (Perl) 
libraries for quattor tools (http://cern.ch/quattor)


%prep
%setup

%build
make

%install
rm -rf $RPM_BUILD_ROOT
make PREFIX=$RPM_BUILD_ROOT install

%files
%defattr(-,root,root)
%doc /usr/share/doc/perl-CAF-1.5.3/ChangeLog 
%doc /usr/share/doc/perl-CAF-1.5.3/TODO
%doc /usr/share/doc/perl-CAF-1.5.3/README 
%doc /usr/share/doc/perl-CAF-1.5.3/CHANGES
%doc /usr/share/doc/perl-CAF-1.5.3/example/
%doc /usr/share/man/man3/CAF::*
/usr/lib/perl5/site_perl/CAF/*

%package -n perl-AppConfig-caf
Provides: perl-AppConfig
Group: quattor/System
Summary: AppConfig package, as distributed by quattor CAF
%description -n perl-AppConfig-caf
AppConfig package, as distributed by quattor CAF

%files -n perl-AppConfig-caf
%defattr(-,root,root)
/usr/lib/perl5/site_perl/AppConfig/*
/usr/lib/perl5/site_perl/AppConfig.pm
%doc /usr/share/man/man3/AppConfig::*

%clean
rm -rf $RPM_BUILD_ROOT




%changelog
* Tue Aug 05 2008 "Luis Fernando"

- Fixed Reporter.pm causing processes to die when the syslog daemon is not running
and the log sockets are not available (f.i., when installing OpenVZ guests)

* Mon Aug 04 2008 "Luis Fernando"

- Fixed a priority name

* Thu Jul 31 2008 "Luis Fernando"

- Fixed logging to syslog on SL4. Some of the macros used existed only on Perl 5.8.8 (SL5).

* Mon Jul 28 2008 "Luis Fernando"

- Adding the ability to log to syslog, as well as old-style logs.
Note that the CAF::Reporter::syslog method is not thread-safe.

* Thu Dec 06 2007 Marco Emilio Poleggi,<Marco.Poleggi@cern.ch>

- Object: inherits from Reporter and initializes it new() to avoid issues
with application which are already using CAF::Reporter.

* Wed Dec 05 2007 Marco Emilio Poleggi,<Marco.Poleggi@cern.ch>

- RepLogger: replaces LoggerSingle since it's more flexible
- Reporter: now allows multiple instances of reporter objects, so that
more than one log file can be used in the same application

* Tue Nov 27 2007 Marco Emilio Poleggi,<Marco.Poleggi@cern.ch>

- CAF::LoggerSingle: new module for easy logging with generic applications
- CAF::Reporer: small fix: now debug() checks that the first parameter is
integer.

* Thu May 24 2007 Marco Emilio Poleggi,<Marco.Poleggi@cern.ch>

- Small fix in CAF::Log to avoid extra newlines at log closing

* Tue Feb 06 2007 Marco Emilio Poleggi,<Marco.Poleggi@cern.ch>

- Small bugfix for handling correctly indented comments in conf files

* Mon Aug 21 2006 Marco Emilio Poleggi

- Added 'Provides' line to specfile for dependency on old edg-caf-perl

* Fri Aug 18 2006 Marco Emilio Poleggi

- Error reporting enhanced when logfile cannot be created/accessed

* Fri May 26 2006 Marco Emilio Poleggi

- Removed test target from Makefile as it clashes with top level rules

* Fri Feb 17 2006 German Cancio Melia

- Moved AppConfig man pages to AppConfig-caf

* Thu Feb 16 2006 German Cancio Melia

- Fix RPM 4.2.3 issue with Obsoletes/Provides

* Mon Sep 19 2005 German Cancio Melia

- Removed Provides: as already Obsoletes: edg-caf-perl - and this was confusing RPM!!

* Mon Jul 04 2005 German Cancio Melia

- Added explicit Requires: of perl-Proc-ProcessTable

* Fri Jun 03 2005 German Cancio Melia

- Added root permissions to AppConfig RPM

* Tue May 31 2005 German Cancio Melia

- Adds a 'provides edg-caf-perl' for backwards compatibility

* Fri May 06 2005 German Cancio Melia

- Minor fix in Lock.pm - verify if application instance holding the lock becomes stale in every wait iteration

* Fri May 06 2005 German Cancio Melia

- Bumped minorversion. Also added a is_set() method to Lock to check if lock is set by this application instance.

* Fri May 06 2005 German Cancio Melia

- Adding CAF::Lock class (as requested in Savannah #3180)

* Mon Apr 18 2005 German Cancio Melia

- Updated the example to show arrays and hashes

* Mon Jan 31 2005 German CANCIO MELIA

- Accepts now for --cfgfile both --cfgfile value and --cfgfile=value

* Mon Jan 24 2005 German CANCIO MELIA

- Addded restriction to redefine QTTR_PERLLIB only on Linux

* Fri Dec 03 2004 German CANCIO MELIA

- Added obsoletes for edg-caf-perl

* Fri Dec 03 2004 German CANCIO MELIA

- Changed RPM group to 'quattor'

* Thu Oct 07 2004 Rafael Garcia Leiva

- package renamed, package dependencies fixed

* Tue Aug 24 2004 German CANCIO MELIA

- Splitted out AppConfig to a separate package, fixing Savannah #4088

* Wed May 26 2004 German CANCIO MELIA

- fixed typo in pod doc (Savannah #3487)

* Mon Mar 15 2004 German Cancio Melia

- Put libraries now in standard perl directory

* Mon Aug 25 2003 CVS: new release (gcancio)

- small fix due to quattor build tools date missing

* Mon Aug 25 2003 CVS: new release (gcancio)

- for Solaris compatibility, separated mkdir line

* Fri Aug 22 2003 CVS: new release (gcancio)

- removed @LCFGCONFIGMSG@ from specfile

* Fri Aug 22 2003 CVS: new release (gcancio)

- Cleanup and polish port to new Quattor build tools

* Fri Aug 22 2003 CVS: new release

* Thu Aug 21 2003 German CANCIO MELIA <gcancio@asis-w6.cern.ch>

- converted to new quattor build tools

* Tue Jul 01 2003 CVS: new release

* Tue Jul 01 2003 CVS: new release

* Tue Jul 01 2003 CVS: new release

* Tue Jul 01 2003 German CANCIO MELIA <gcancio@asis-w6.cern.ch>

- added new ReporterObject class, to use Reporter as an singleton
  	  class

* Wed Jun 11 2003 CVS: new release

* Wed Jun 11 2003 German CANCIO MELIA <gcancio@asis-w6.cern.ch>

- support -help as --help in Application.pm

* Fri Mar 21 2003 CVS: new release

* Fri Mar 21 2003 German CANCIO MELIA <gcancio@asis-w6.cern.ch>

- small doc fix in Application.pm

* Mon Feb 17 2003 CVS: new release

* Wed Feb 12 2003 CVS: new release

* Thu Feb 06 2003 CVS: new release

* Thu Feb 06 2003 German CANCIO MELIA <gcancio@asis-w6.cern.ch>

- removed Exception.pm as now found in edg-perl-LC package

* Wed Feb 05 2003 CVS: new release

* Wed Feb 05 2003 CVS: new release

* Wed Feb 05 2003 German CANCIO MELIA <gcancio@asis-w6.cern.ch>

- Removed destruction method in Reporter as not
  object but invariant class

* Wed Feb 05 2003 CVS: new release

* Wed Feb 05 2003 German CANCIO MELIA <gcancio@asis-w6.cern.ch>

- bugfix for help display (no defaults).
- added hash handling in help display.

* Tue Feb 04 2003 CVS: new release

* Tue Feb 04 2003 CVS: new release

* Tue Feb 04 2003 German CANCIO MELIA <gcancio@asis-w6.cern.ch>

- small bugfix (AppConfig.pm readded to specfile)

* Tue Feb 04 2003 CVS: new release

* Tue Feb 04 2003 German CANCIO MELIA <gcancio@asis-w6.cern.ch>

- added LC::Exception as a temporary hack.

* Tue Feb 04 2003 CVS: new release

* Tue Feb 04 2003 German CANCIO MELIA <gcancio@asis-w6.cern.ch>

- first version.

--- end of ChangeLog ---
